BEEM - Android XMPP - Feature #260

Minimal interface for chat windows
04/30/2010 05:14 AM - Anonymous

Status: Closed Start date: 04/30/2010
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.1.5

Description

On a My Touch 3g (and possibly others, but this is the only one | got) with virtual keyboard displayed, because of the size of the
cartridge showing login, chat state and status message, there is room for only one line of the actual chat.

Would it be possible to add an option to put the cartridge informations in the application status bar? Where "Beem - Chat" is written.
This way, we would get more room for the chat. Right now, | have to dismiss the virtual keyboard to follow the conversation.

History

#1 - 05/04/2010 01:20 AM - Frédéric Barthéléry

- Target version set to 0.1.4

#2 - 05/04/2010 01:33 AM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

Thank you for reporting the problem.
We will improve the layout of the chat activiy to display more chat message.

#3 - 07/05/2010 09:57 AM - Frédéric Barthéléry
- Target version changed from 0.1.4 to 0.1.5
#4 - 10/05/2010 02:19 PM - Ciaran Gultnieks
Can | suggest that as well as putting the remote user name and status into the 'title bar' as described above, we also (perhaps optionally):
1. Put the time and name at the start of each message, rather than on their own separate lines
2. Only show the date where it differs from the last message
3. Get rid of the horizontal lines between each message
| am also happy to lose the other status thing (e.g. 'pays attention to the conversation') in order to be able to actually see the conversation myself.
So the formatting would be more like you get in Pidgin. For example:
(23:59:41) Me: It's nearly midnight
(05/10/2010 00:00:20) Him: Not any more

(00:01:15) Me: Oh yeah

The reason | suggest all this could be optional is that presumably it's no problem for people with large screens, or a physical keyboard. For those of
us with a traditional-sized screen and a virtual keyboard though, it makes Beem very unpleasant to use.

#5 - 12/27/2010 11:19 PM - Vincent Véronis
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

#6 - 01/31/2011 09:06 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
